
#mainContent{
    min-height:1500px
}
table#MyTag1_dtTagList {
    text-align: center;
    margin-left: 11%;
}
table#MyTag1_dtTagList {
    border-spacing: 10px 10px;
    border-collapse: separate!important;
}
#MyTag1_dtTagList td{
    //background: azure;
    box-shadow: 1px 1px 3px darkgrey;
    -webkit-border-radius: 4px;
    font-size: 16px;
}
.cnblogs-markdown .hljs, .cnblogs-post-body .hljs {
    font-family: "Courier New",sans-serif !important;
    font-size: 14px !important;
    line-height: 2.0 !important;
    padding: 5px !important;
}
.postBody blockquote, .postCon blockquote {
    margin: 0px !important;
    padding-left: 10px !important;
    color: #666 !important;
    background: white;
    border-left: 4px solid #42b983;
    background-color: rgba(66, 185, 131, .1);
}
.cnblogs-markdown .hljs, .cnblogs-post-body .hljs {
    font-family: var(--monospace)!important;
    overflow-x: inherit;
}
body, button, input, select, textarea {
    font: 13px/1.5 Tahoma,Arial,Helvetica,sans-serif;
}
input.btn_my_zzk {
    vertical-align: middle;
    height: 27px;
    font-size: px;
    padding-left: 5px;
    background: #3399ff;
    /* color: #fff; */
    border: 3px solid #fff;
    border-radius: 50px;
    /* padding: 2rem; */
    font: 15px "Margarine", sans-serif;
    outline: none;
    cursor: pointer;
    position: relative;
    transition: 0.2s ease-in-out;
    letter-spacing: 2px;
    padding-right: 5px;
}

 #cnblogs_post_body h3 {
    font-weight: normal;
    line-height: 2.0;
    background-color: powderblue;
    color: black;
    padding: 5px;
    border-radius: 5px;
    font-size: 17px;
}
#cnblogs_post_body h4 {
    line-height: 3.2;
    font-size: 15px;
    border-radius: 5px;
    background-color: gainsboro;
    color: black;
    font-weight: normal;
    padding: 0 5px;
}
#detail-img{
   width:100%
}

a.scrollOnClick {
    bottom: 10px;
    padding: 5px 10px;
    position: fixed;
    right: 50px;
    border-radius: 8px;
    opacity: 1;
}
#topimg{
width: 40px;
}

/*生成博客目录的CSS <script src="https://files.cnblogs.com/files/xiaohuochai/catalog.js"></script>*/
#uprightsideBar{
    font-size: 12px;
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
    position: fixed;
    top: 40px;
    width: 14%;
    height: 100%;
    left:0;
    transition: 0.2s ease-in-out;
}


#sideBarContents  dt:hover {
  //  font-size: 1.5em;
}
#sideBarContents  dd:hover {
   // font-size: 1.4em;
}
#sideBarContents{
    float: left;
    overflow: auto;
    overflow-x: hidden;
    height: 95%;
    min-height: 108px;

    border-radius: 1em;
    box-shadow: 4px 4px 15px -3px rgb(167, 172, 173);
    border: 1px solid #e5e5e5;
    background: white;
   /* max-width: 280px;
    min-width: 200px;*/
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 255px;
    overflow: auto;
}
#sideBarContents {
    margin:0;
    padding:0;
}

#sideBarContents dt{
    line-height: 35px;
    margin-left: 5px;
    border-bottom: 1px inset;
    font-size: 14px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: all 0.3s;
    padding-left: 2px;
}

#sideBarContents dd, dt {
    cursor: pointer;
}

#sideBarContents dd:hover, dt:hover,
#sideBarContents dd.current, dt.current
 {
    background-color: #009688;
    color: #fff;
}
#sideBarContents dd{
    padding-left: 20px;
    font-size: 13px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: all 0.3s;
    line-height: 35px;
}

.lefthide{
   left:-300px!important;

}

.mfb-component__button--child, .mfb-component__button--main{
    background-color: white!important;
     color: darkcyan!important;
}

a.scrollOnClick {
    bottom: auto;
    padding: initial;
    position: static;
    right: auto;
    opacity: initial;
       border-radius: 50%;
}

div#sideBarContents::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(217,217,217,0.3);
    background-color: #fff;
}

div#sideBarContents::-webkit-scrollbar-thumb {
    background-color: darkgray;
    border-radius: 6px;
}
div#sideBarContents::-webkit-scrollbar {
    width: 6px;
    background-color: rgba(217,217,217,0.3);
}

#header {
    position: fixed;
    top: 0px;
    z-index: 99;
}
#main{
    top: 40px;
}
i {
    font-style: normal;
}